読者です 読者をやめる 読者になる 読者になる

libGDX で iOS アプリを起動できない

libGDX iOS Android

概要

libGDX で Multi-OS Engine を使用した iOS アプリを起動するとエラーが発生しました。 libGDX が初期設定で指定している Multi-OS Engine は 1.2.3 ですが 1.2.5 に変更する必要があります。

確認環境

  • AndroidStudio 2.2.3
  • libGDX 1.9.5
  • Multi-OS Engine 1.2.3
  • Xcode 8.2.1

参考情報

解説

Intel Multi-OS Engine 1.2.3 で実行すると以下のエラーが表示される。

Terminating app due to uncaught exception 'NSInvalidArgumentException'

build.gradle で moe-gradle のバージョンを 1.2.5 にすると解決する。

classpath 'org.multi-os-engine:moe-gradle:1.2.5'